@function returnSizes($size) {
    $percent: 0;
    @if $size == 1 {
        $percent: 0.25;
    }
    @if $size == 2 {
        $percent: 0.5;
    }
    @if $size == 3 {
        $percent: 1;
    }
    @if $size == 4 {
        $percent: 1.5;
    }
    @if $size == 5 {
        $percent: 3;
    }

    @return $percent;
}

@function returnCalculatedSpacer($size) {
    $return: 0;

    @if $size == 'auto' {
        $return: $size;
    } @else {
        $return: $spacer * returnSizes($size);
    }

    @return $return;
}

@function returnCalculatedSpacerWithSides($side, $size) {
    $space: returnCalculatedSpacer($size);
    $result: 0;

    @if $side == t {
        $result: $space 0 0 0;
    }
    @if $side == r {
        $result: 0 $space 0 0;
    }
    @if $side == b {
        $result: 0 0 $space 0;
    }
    @if $side == l {
        $result: 0 0 0 $space;
    }
    @if $side == x {
        $result: 0 $space;
    }
    @if $side == y {
        $result: $space 0;
    }

    @return $result;
}
